<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <html>
  <head>
    <title>Akteur- / Zielliste des Projekts</title>
  </head>
  <body>
    <h2>Akteur- / Zielliste des Projekts</h2>

    <table border="1">
    <tr>
      <th>Akteur</th>
      <th>Ziel</th>
      <th>Bemerkungen</th>
    </tr>
    <xsl:for-each select="AkteurZielListe/AkteurZiel">
    <tr>
      <td><xsl:value-of select="Akteur"/></td>
      <td><xsl:value-of select="Ziel"/></td>
      <td><ul><xsl:apply-templates select="Bemerkung"/></ul></td>
    </tr>
    </xsl:for-each>
    </table>

    <h3>Bemerkungen</h3>
    <td><ul><xsl:apply-templates select="AkteurZielListe/Hinweise/Bemerkung"/></ul></td>

  </body>
  </html>
</xsl:template>

<xsl:template match="Bemerkung">
  <li>
    <xsl:choose>
      <xsl:when test="contains(., '!')">
        <b><span style="color:red"><xsl:value-of select="."/></span></b>
      </xsl:when>
      <xsl:when test="contains(., '?')">
        <b><xsl:value-of select="."/></b>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
  </li>
</xsl:template>

</xsl:stylesheet>