<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
  <html>
    <head>
      <title>Nicht-funktionale Anforderungen des Projekts</title>
    </head>
    <body>
    <h2>Nicht-funktionale Anforderungen des Projekts</h2>

    <xsl:for-each select="NichtFunktionaleAnforderungen/*">
      <h3><xsl:value-of select="name()"/></h3>
      <table border="1">
      <tr>
        <th>Anforderung</th>
        <th>Verantwortlicher</th>
        <th>Bemerkungen</th>
      </tr>
      <xsl:for-each select="Anforderung">
        <tr>
          <td><xsl:value-of select="Beschreibung"/></td>
          <td><xsl:value-of select="Verantwortlicher"/></td>
          <td><ul><xsl:apply-templates select="Bemerkung"/></ul></td>
        </tr>
      </xsl:for-each>
      </table>

      <xsl:if test="count(Bemerkung) != 0">
        <h4>Bemerkungen</h4>
        <ul><xsl:apply-templates select="Bemerkung"/></ul>
      </xsl:if>
    </xsl:for-each>

    </body>
  </html>
</xsl:template>


<xsl:template match="Bemerkung">
  <li>
    <xsl:choose>
      <xsl:when test="contains(., '!')">
        <b><span style="color:red"><xsl:value-of select="."/></span></b>
      </xsl:when>
      <xsl:when test="contains(., '?')">
        <b><xsl:value-of select="."/></b>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
  </li>
</xsl:template>

</xsl:stylesheet>