<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="/">
  <html>
    <head>
      <title><xsl:value-of select="UseCase/Normalfall/Name"/></title>
    </head>
    <body>
      <h2>Ziel "<xsl:value-of select="UseCase/Normalfall/Name"/>" des Projekts</h2>

      <h3>Normalfall</h3>
      <xsl:for-each select="UseCase/Normalfall">  
        <xsl:call-template name="ErzeugeFallbeschreibung"/>
      </xsl:for-each>

      <xsl:for-each select="UseCase/Spezialfall">  
        <h3><xsl:value-of select="Name"/></h3>
        <xsl:call-template name="ErzeugeFallbeschreibung"/>
      </xsl:for-each>
    </body>
  </html>
</xsl:template>



<xsl:template name="ErzeugeFallbeschreibung">
      <table border="1">
        <tr>
          <td>Akteure</td>
          <td colspan="2">
            <ul>
              <xsl:for-each select="Akteur">  
                <xsl:call-template name="ErzeugeListe"/>
              </xsl:for-each>
            </ul>
          </td>
        </tr>
        <tr>
          <td>Voraussetzungen</td>
          <td colspan="2">
            <ul>
              <xsl:for-each select="Voraussetzung">  
                <xsl:call-template name="ErzeugeListe"/>
              </xsl:for-each>
            </ul>
          </td>
        </tr>
        <tr>
          <td>Schritte</td>
          <td>
            <table border="1" rules="all">
              <tr>
                <td>Akteur</td><td>Reaktion</td>
              </tr>
              <xsl:apply-templates select="Schritt"/>
            </table>
          </td> 
        </tr>
        <tr>
          <td>Resultate</td>
          <td colspan="2">
            <ul>
              <xsl:for-each select="Resultat">  
                <xsl:call-template name="ErzeugeListe"/>
              </xsl:for-each>
            </ul>
          </td>
        </tr>
        <tr>
          <td>Bemerkungen</td>
          <td colspan="2">
            <ul>
              <xsl:for-each select="Bemerkung">  
                <xsl:call-template name="ErzeugeListe"/>
              </xsl:for-each>
            </ul>
          </td>
        </tr>
        <tr>
          <td>Fragen</td>
          <td colspan="2">
            <ul>
              <xsl:for-each select="Frage">  
                <xsl:call-template name="ErzeugeListe"/>
              </xsl:for-each>
            </ul>
          </td>
        </tr>
      </table>
</xsl:template>


<xsl:template name="ErzeugeListe">
  <li>
    <xsl:choose>
      <xsl:when test="contains(., '!')">
        <b><span style="color:red"><xsl:value-of select="."/></span></b>
      </xsl:when>
      <xsl:when test="contains(., '?')">
        <b><xsl:value-of select="."/></b>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
  </li>
</xsl:template>


<xsl:template match="Schritt">
  <tr>
    <td><xsl:value-of select="position()"/>: <xsl:value-of select="Akteur"/></td>
    <td><xsl:value-of select="Reaktion"/></td>
  </tr>
</xsl:template>

</xsl:stylesheet>